module AgilideeDevise::ApplicationHelper
  def bootstrap_devise_error_messages!
    return "" if resource.errors.empty?

    messages = resource.errors.full_messages.map { |msg| content_tag(:li, msg) }.join
    sentence = I18n.t("errors.messages.not_saved",
      :count    => resource.errors.count,
      :resource => resource.class.model_name.human.downcase,
    )

    html = <<-HTML
    <div class="alert alert-danger alert-block alert-devise">
      <button type="button" class="close" data-dismiss="alert">&times;</button>
      <p>#{sentence}</p>
      <ul>#{messages}</ul>
    </div>
    HTML

    html.html_safe
  end

  def devise_panel(title, &block)
    content_tag(:div, class: "card card-devise panel panel-default panel-devise") do
      heading = content_tag(:div, class: "card-header panel-heading") do
        content_tag(:strong, class: "card-title panel-title") { title }
      end

      body = content_tag(:div, class: "card-body panel-body", &block)

      heading + body
    end
  end
end
